> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List eSIMs

> Returns a list of eSIMs



## OpenAPI

````yaml /openapi.yaml get /v1/esims
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v1/esims:
    parameters: []
    get:
      tags:
        - Esim
      summary: List eSIMs
      description: Returns a list of eSIMs
      operationId: list-esims
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 25
            default: 10
          in: query
          name: pageSize
          description: Number of items to be returned in a single page
        - schema:
            type: string
          in: query
          name: page
          description: >-
            A cursor for pagination across multiple pages of results. Don’t
            include this parameter on the first call.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    x-stoplight:
                      id: 4adu0frb6wn0z
                    items:
                      $ref: '#/components/schemas/Esim'
                      x-stoplight:
                        id: zngg8m6tlsnvf
                  nextPage:
                    type:
                      - string
                      - 'null'
                    x-stoplight:
                      id: cnrioioibezpo
              examples:
                Example 1:
                  value:
                    items:
                      - iccid: 891004234814455936F
                        activationCode: LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH
                        msisdn: '449898978234'
                        label: sigma
                    nextPage: Aa3b34u3infqkj==
components:
  schemas:
    Esim:
      title: Esim
      x-stoplight:
        id: wuubfexjvtk38
      type: object
      examples:
        - iccid: 891004234814455936F
          activationCode: LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH
          msisdn: '449898978234'
          label: alpha
      required:
        - iccid
        - msisdn
        - activationCode
        - label
      properties:
        iccid:
          type: string
          x-stoplight:
            id: 77c3kygb5y0ym
        msisdn:
          type: string
          x-stoplight:
            id: 5lsad34xx9dp2
        activationCode:
          type: string
          x-stoplight:
            id: 55rvmfcomwgh9
        label:
          type: string
          x-stoplight:
            id: 0xaawmb6yf9d8
          description: The plan-esim compatibility label
        availability:
          $ref: '#/components/schemas/Availability'
          x-stoplight:
            id: 214dmj7esx16g
    Availability:
      title: Availability
      x-stoplight:
        id: 9dike6s5qmy6j
      type: object
      examples:
        - gracePeriodFinishAction: LAPSE
          gracePeriodFinishAt: 1768481221
          currentState: ACTIVE
      required:
        - gracePeriodFinishAction
        - gracePeriodFinishAt
        - currentState
      properties:
        gracePeriodFinishAction:
          x-stoplight:
            id: zx89smtdjw4vv
          enum:
            - LAPSE
            - PRESERVE
          description: >-
            The action that would be taken by the system once the grace period
            is finished.
        gracePeriodFinishAt:
          type: integer
          x-stoplight:
            id: d9jtor8yynr7y
          description: Timestamp at which the grace period finishes.
        currentState:
          x-stoplight:
            id: o4y33otft632k
          enum:
            - ACTIVE
            - LAPSED
      x-internal: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````